com.taosdata.jdbc.ws.entity

## Enum Action

- java.lang.Object
- - java.lang.Enum<Action>
  - - com.taosdata.jdbc.ws.entity.Action

All Implemented Interfaces:
  Serializable, Comparable<Action>

    public enum Action
    extends Enum<Action>

request type

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONN`
`FETCH`
`FETCH_BLOCK`
`FETCH_JSON`
`FREE_RESULT`
`QUERY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getAction()`
`Class<? extends Response>` `getResponseClazz()`
`static Action` `of(String action)`
`static Action` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Action[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONN

    public static final Action CONN

#### QUERY

    public static final Action QUERY

#### FETCH

    public static final Action FETCH

#### FETCH_JSON

    public static final Action FETCH_JSON

#### FETCH_BLOCK

    public static final Action FETCH_BLOCK

#### FREE_RESULT

    public static final Action FREE_RESULT

### Method Detail

#### values

    public static Action[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Action c : Action.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Action valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getAction

    public String getAction()

#### getResponseClazz

    public Class<? extends Response> getResponseClazz()

#### of

    public static Action of(String action)